Re: Build errors ghc 8.4.2, macOS

From: Finn Teegen <fte_at_informatik.uni-kiel.de>
Date: Fri, 25 May 2018 18:57:12 +0200

Hi Felix,

the build errors arose due to changes in the latest GHC version and have
been easily fixed thanks to your report.

All that is missing now is a new distribution which should arrive within
a few days. ;)

Cheers
Finn

On 22/05/18 10:26, Felix Holmgren wrote:
> Dear list!
>
> I'm having problems compiling both PAKCS (2.0.1) and KiCS2 (2.0.0) under
> macOS.
> The problem seems to be a couple of "Ambiguous occurrence ‘<>’"
>
> Full make output here:
> https://gist.github.com/felixyz/329cdecebbd73d001005cdf530877cb5
> <https://gist.github.com/felixyz/329cdecebbd73d001005cdf530877cb5>
>
> (That's from the PAKCS make, but KiCS fails with the same exact errors.)
>
> $ ghc -v
> Glasgow Haskell Compiler, Version 8.4.2, stage 2 booted by GHC version 8.2.2
>
> $ cabal -V
> cabal-install version 2.2.0.0
> compiled using version 2.2.0.1 of the Cabal library
>
>
> By the way: to be able to compile with clang I had to change ghc's "C
> compiler supports -no-pie" setting to "NO". That's not specific to Curry
> but relevant for anyone trying to build on macOS.
>
> Many thanks
> /Felix
>
>
> _______________________________________________
> curry mailing list
> curry_at_lists.rwth-aachen.de
> https://mailman.rwth-aachen.de/mailman/listinfo/curry
>
_______________________________________________
curry mailing list
curry_at_lists.rwth-aachen.de
https://mailman.rwth-aachen.de/mailman/listinfo/curry
Received on Sat May 26 2018 - 12:44:26 CEST

This archive was generated by hypermail 2.3.0 : Thu Sep 19 2019 - 07:15:10 CEST